de.esprit.appsuite.launch

## Class GuiErrorHandler<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractErrorHandler<C>
  - - de.esprit.appsuite.launch.GuiErrorHandler<C>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandler

      public class GuiErrorHandler<C extends ApplicationContext>
      extends AbstractErrorHandler<C>

  This `ErrorHandler` implementation pops up a modal `MessageDialog` in order to display the message to the user. The message is also printed to the underlying `LogChannel`.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiErrorHandler(C ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `showError(java.lang.Object caller, java.lang.Exception e)`
    `void` | `showError(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `showError(java.lang.Object caller, java.lang.String message, java.lang.String details, java.lang.Exception e)`
    `void` | `showInfo(java.lang.Object caller, java.lang.String message)`
    `void` | `showInfo(java.lang.Object caller, java.lang.String message, java.lang.String details)`
    `void` | `showWarning(java.lang.Object caller, java.lang.String message)`
    `void` | `showWarning(java.lang.Object caller, java.lang.String message, java.lang.String details)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractErrorHandler

      `getApplicationContext, getLogChannel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiErrorHandler

          public GuiErrorHandler(C ctx)

  - ### Method Detail

    - #### showError

          public void showError(java.lang.Object caller,
                       java.lang.Exception e)

    - #### showError

          public void showError(java.lang.Object caller,
                       java.lang.String message,
                       java.lang.Exception e)

    - #### showError

          public void showError(java.lang.Object caller,
                       java.lang.String message,
                       java.lang.String details,
                       java.lang.Exception e)

    - #### showWarning

          public void showWarning(java.lang.Object caller,
                         java.lang.String message)

    - #### showWarning

          public void showWarning(java.lang.Object caller,
                         java.lang.String message,
                         java.lang.String details)

    - #### showInfo

          public void showInfo(java.lang.Object caller,
                      java.lang.String message)

    - #### showInfo

          public void showInfo(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.String details)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.